An endpoint to cancel a proofing.
This proofing must be in a Pending, Challenged or Cancelled state. If not, an invalidState ErrorResponse must be returned.
HTTP request
POST https://example.issuer.com/api/v1/vdc/cancelProofing
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{
"requestMetadata": {
object ( |
| Fields | |
|---|---|
requestMetadata |
The metadata about the request, required in all requests. |
deviceReferenceId |
The id that corresponds to the device and the identity key associated with the device. This is NOT a device id, meaning that if the user were to have two separate credentials on the same device, this id would differ between them. This id is supplied in all requests, and can be used to correlate requests. |
proofingId |
An opaque identifier representing a proofing with a specific bundle of evidence, for a specific device. Ex: UUID This proofing must be in a Pending, Challenged or Cancelled state. If not, an invalidState ErrorResponse must be returned. |
Response body
A response to a request to cancel a proofing.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"responseMetadata": {
object ( |
| Fields | |
|---|---|
responseMetadata |
The metadata about the response, required in all responses. |